<?php

/* DCMS Special
 * Дата последнего редактирования 12.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();

$set['title'] = lang('Друзья онлайн');

require_once H . 'sys/inc/thead.php';

aut();

$ank['id'] = $user['id'];

if (isset($_GET['id'])) {
    $sid = intval($_GET['id']);
} else {
    $sid = $user['id'];
}

$ank = get_user($sid);

$q = $db->query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if ($db->num_rows($q) == 0) {
    header("Location: index.php?" . SID);
    exit;
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/id$ank[id]'>$ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Друзья');
echo "</small></div><br />";

$ank = $db->get_array($q);
$k = $db->super_query("SELECT COUNT(*) as count FROM `friends` INNER JOIN `user` ON `friends`.`friends`=`user`.`id` WHERE `friends`.`user` = '$ank[id]' AND `friends`.`i` = '1' AND `user`.`date_last`>'" . (time() - 300) . "'");
$k_online = (($k['count'] == 0) ? null : "$k[count]");
$k = $db->super_query("SELECT COUNT(*) as count FROM `friends` WHERE `user` = '$ank[id]' AND `i` = '1'");
$k_post = (($k['count'] == 0) ? null : "$k[count]");
$k = $db->super_query("SELECT COUNT(id) as count FROM `friends_new` WHERE `to` = '$ank[id]'");
$k_new = (($k['count'] == 0) ? null : "<b>$k[count]</b>");

echo "<div class='list-group-item-null list-group-item-grey'>";
echo "<ul class='nav nav-tabs' style='margin-bottom: -11px;'>";
echo "<li class='nav-item'><a class='nav-link active'>" . lang('Друзья') . "</a></li>";

if (isset($user) && $user['id'] == $ank['id']) {
    echo "<li class='nav-item'><a class='nav-link' href='new.php'>" . lang('Заявки') . " $k_new</a></li>";
    echo "<li class='nav-item'><a class='nav-link' href='settings.php'>" . lang('Настройки') . "</a></li>";
}
echo "</ul>";
echo "</div>";

echo "<div class='list-group-item-null'>";
echo "<ul class='nav nav-pills'>";
echo "<li class='nav-item'><a class='nav-link' href='index.php?id=$ank[id]'>" . lang('Все друзья') . " $k_post</a></li>";
echo "<li class='nav-item'><a class='nav-link active'>" . lang('Онлайн') . " $k_online</a></li>";
echo "</ul></div>";

if ($k_online == 0) {
    echo "<br />";
    $doc->NoResult();
}

$k_page = k_page($k_online, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

$q = $db->query("SELECT * FROM `friends` INNER JOIN `user` ON `friends`.`friends`=`user`.`id` WHERE `friends`.`user` = '$ank[id]' AND `friends`.`i` = '1' AND `user`.`date_last`>'" . (time() - 300) . "' ORDER BY `user`.`date_last` DESC LIMIT $start, $set[p_str]");
while ($f = $db->get_array($q)) {

    $ank = $db->get_array($db->query("SELECT * FROM `user` WHERE `id` = '$f[friends]' LIMIT 1"));

    echo "<table class='list-group-item-null-mini list-group-item-grey dop'><tr><td class='icon14'>";
    avatar($ank['id'], '48');
    echo "</td><td class='null'>";
    user($ank['id']);
    echo "<br/>";
    if (isset($user) && $user['id'] == $ank['id']) {
        echo "<small class='grey'><i class='fa fa-envelope fa-fw'></i> " . lang('Сообщение') . "</small>";
    } else {
        echo "<small><a href='/user/mail/messageList.php?contact=$ank[id]'><i class='fa fa-envelope fa-fw'></i> " . lang('Сообщение') . "</a></small>";
    }

    echo "</td></tr></table>";
}

if ($k_page > 1) {
    str("?id=$ank[id]&amp;", $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
